godo.Apps.GetAppHealth()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.Apps.GetAppHealth(ctx context.Context, appID string) (*godo.AppHealth, *godo.Response, error)Description
This method sends a GET request to /v2/apps/{}/health.
Parameters
appIDstring required
Returns
- *godo.AppHealth
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.AppHealth
AppHealth struct for AppHealth
Components[]*godo.ComponentHealthFunctionsComponents[]*godo.FunctionsComponentHealth
Request Sample
Response Example
More Information
See GET /v2/apps/{}/health in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.